<!doctype html>
<html lang="en">


<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
</head>


<body>
	<script>
		/*
		 *    Event.target
		 *    https://developer.mozilla.org/en-US/docs/Web/API/Event/target
		 */
		

		// Make a list
		const ul = document.createElement('ul');
		document.body.appendChild(ul);

		const li1 = document.createElement('li');
		const li2 = document.createElement('li');
		ul.appendChild(li1);
		ul.appendChild(li2);

		function hide(evt) {
			// evt.target refers to the clicked <li> element
			// This is different than evt.currentTarget, which would refer to the parent <ul> in this context
			evt.target.style.visibility = 'hidden';
		}

		// Attach the listener to the list
		// It will fire when each <li> is clicked
		ul.addEventListener('click', hide, false);
	</script>
</body>

</html>
